<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files>
        <file name='/etc/apt-cacher-ng/acng.conf' filelist='apt_cacher' />
        <file name='/etc/apt-cacher-ng/backends_eole' filelist='apt_cacher' />
        <file name='/etc/apt-cacher-ng/backends_ubuntu' filelist='apt_cacher' />
        <file name='/etc/systemd/system/apt-cacher-ng.service.d/override.conf' instance_mode='when_container' source="apt-cache-ng.override.conf" mkdir="True" />
    </files>

    <variables>
        <family name='services'>

            <variable name='activer_apt_cacher' type='oui/non' mode='expert'
                      description='Activer le cache APT'>
                  <value>oui</value>
            </variable>

        </family>

        <family name='apt-cacher' mode='expert' icon='debian'>

            <variable name='apt_cacher_port' type='port'
                      description='Port d’écoute du service apt-cacher-ng'>
                <value>3142</value>
            </variable>

        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_apt_cacher'>
            <param>non</param>
            <target type='filelist'>apt_cacher</target>
            <target type='family'>apt-cacher</target>
        </condition>
    </constraints>

    <help>
        <family name='apt-cacher'>Paramétrage avancé du service de mise en cache des paquets</family>
        <variable name='activer_apt_cacher'>Apt-cacher est une solution proxy de mise en cache de paquets Debian</variable>
    </help>

</creole>
